Announcement

Collapse
No announcement yet.

Doublons de plugins

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Doublons de plugins

    Bonjour,

    Lorsque je fais un "yum update" sur mon serveur Centreon (image ISO centreon) j'ai ce message :
    Code:
    Résolution des dépendances
    --> Lancement de la transaction de test
    ---> Package nagios-plugins.x86_64 0:1.4.16-7.el6 will be mis à jour
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-udp-1.4.16-7.el6.x86_64
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-nsc-1.4.16-7.el6.x86_64
    ---> Package nagios-plugins.x86_64 0:2.2.1-4git.el6 will be an update
    --> Traitement de la dépendance : nagios-common >= 3.3.1-1 pour le paquet : nagios-plugins-2.2.1-4git.el6.x86_64
    ---> Package nagios-plugins-all.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-all.x86_64 0:2.2.1-4git.el6 will be an update
    --> Traitement de la dépendance : nagios-plugins-ntp-perl pour le paquet : nagios-plugins-all-2.2.1-4git.el6.x86_64
    --> Traitement de la dépendance : nagios-plugins-game pour le paquet : nagios-plugins-all-2.2.1-4git.el6.x86_64
    ---> Package nagios-plugins-breeze.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-breeze.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-dummy.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-dummy.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-file_age.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-file_age.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-flexlm.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-flexlm.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-fping.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-fping.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-hpjd.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-hpjd.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-http.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-http.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-icmp.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-icmp.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ide_smart.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ide_smart.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ircd.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ircd.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ldap.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ldap.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-load.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-load.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-log.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-log.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-mailq.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-mailq.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-mrtg.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-mrtg.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-mrtgtraf.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-mrtgtraf.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-mysql.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-mysql.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-nagios.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-nagios.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-nt.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-nt.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ntp.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ntp.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-nwstat.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-nwstat.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-oracle.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-oracle.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-overcr.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-overcr.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-perl.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-perl.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-pgsql.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-pgsql.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ping.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ping.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-procs.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-procs.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-real.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-real.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-rpc.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-rpc.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-sensors.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-sensors.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-smtp.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-smtp.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-snmp.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-snmp.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ssh.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ssh.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-swap.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-swap.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-tcp.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-tcp.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-time.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-time.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-ups.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-ups.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-users.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-users.x86_64 0:2.2.1-4git.el6 will be an update
    ---> Package nagios-plugins-wave.x86_64 0:1.4.16-7.el6 will be mis à jour
    ---> Package nagios-plugins-wave.x86_64 0:2.2.1-4git.el6 will be an update
    --> Lancement de la transaction de test
    ---> Package nagios-common.x86_64 0:4.3.4-7.el6 will be installé
    ---> Package nagios-plugins.x86_64 0:1.4.16-7.el6 will be mis à jour
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-udp-1.4.16-7.el6.x86_64
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-nsc-1.4.16-7.el6.x86_64
    ---> Package nagios-plugins-game.x86_64 0:2.2.1-4git.el6 will be installé
    --> Traitement de la dépendance : qstat pour le paquet : nagios-plugins-game-2.2.1-4git.el6.x86_64
    ---> Package nagios-plugins-ntp-perl.x86_64 0:2.2.1-4git.el6 will be installé
    --> Lancement de la transaction de test
    ---> Package nagios-plugins.x86_64 0:1.4.16-7.el6 will be mis à jour
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-udp-1.4.16-7.el6.x86_64
    --> Traitement de la dépendance : nagios-plugins = 1.4.16-7.el6 pour le paquet : nagios-plugins-nsc-1.4.16-7.el6.x86_64
    ---> Package qstat.x86_64 0:2.11-9.20080912svn311.el6 will be installé
    --> Résolution des dépendances terminée
    Erreur : Paquet : nagios-plugins-nsc-1.4.16-7.el6.x86_64 (@anaconda-CES-201309230102.x86_64/6.7)
                 Requiert : nagios-plugins = 1.4.16-7.el6
                 Suppression : nagios-plugins-1.4.16-7.el6.x86_64 (@anaconda-CES-201309230102.x86_64/6.7)
                     nagios-plugins = 1.4.16-7.el6
                 Mis à jour par : nagios-plugins-2.2.1-4git.el6.x86_64 (epel)
                     nagios-plugins = 2.2.1-4git.el6
    Erreur : Paquet : nagios-plugins-udp-1.4.16-7.el6.x86_64 (@anaconda-CES-201309230102.x86_64/6.7)
                 Requiert : nagios-plugins = 1.4.16-7.el6
                 Suppression : nagios-plugins-1.4.16-7.el6.x86_64 (@anaconda-CES-201309230102.x86_64/6.7)
                     nagios-plugins = 1.4.16-7.el6
                 Mis à jour par : nagios-plugins-2.2.1-4git.el6.x86_64 (epel)
                     nagios-plugins = 2.2.1-4git.el6
     Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
     Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest
    C'est comme si j'avais 2 versions de plugins différents d'installer (j'ai installé il n'y a pas long les plugins (https://github.com/HariSekhon/nagios-plugins) j'ai peur que le problème vienne de là...
    Quelle est la version normalement installée ? La 1.4 ?
    Quelle est la meilleure démarche que je dois réaliser ?

    D'avance merci,

  • #2
    J'ai supprimé les plugins nagios-plugins-nsc nagios-plugins-udp et nagios-plugins-all puis j'ai réussi à totu mettre à jour.
    Suite à cette mise à jour, le plugin check_icmp (entre autre car plein d'autres) ont disparu de /usr/lib/nagios/plugins ! J'ai du mettre à jour mes ressources (Variables $USERS$) dans Centreon pour utiliser /usr/lib64/nagios/plugins.

    C'est normal que les plugins dans lib ne sont plus utilisés ?
    Quels plugins utilisez vous ? Ceux fournis par EPEL (Version 2.2) ou ceux fournis par centreon en version 1.4 ?
    Last edited by djedje68; 18th January 2018, 11:38.

    Comment


    • #3
      Bonjour,
      Je confirme l'installation d'un repo epel, provoque des problèmes de dépendances.C'est bien la version 1.4 pour l'ISO Centreon.
      Visiter mon site perso http://eric.coquard.free.fr/atelier/

      Comment

      Working...
      X